QwtDialSimpleNeedle(3)

NAME
QwtDialSimpleNeedle -

SYNOPSIS

Inherits QwtDialNeedle.

Detailed Description

A needle for dial widgets

The following colors are used:

•   QColorGroup::Mid
     Pointer

•   QColorGroup::base
     Knob

See also:
    QwtDial, QwtCompass

Definition at line 74 of file qwt_dial_needle.h.

  Public Types
enum Style { Arrow, Ray }

  Public Member Functions
QwtDialSimpleNeedle (Style, bool hasKnob=TRUE, const QColor &mid=Qt::gray, const QColor &base=Qt::darkGray)
virtual void draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
void setWidth (int width)
int width () const

  Static Public Member Functions
void drawArrowNeedle (QPainter *, const QColorGroup &, const QPoint &, int length, int width, double direction, bool hasKnob)
void drawRayNeedle (QPainter *, const QColorGroup &, const QPoint &, int length, int width, double direction, bool hasKnob)

Constructor & Destructor Documentation

  QwtDialSimpleNeedle::QwtDialSimpleNeedle (Style style, bool hasKnob = TRUE, const QColor & mid = Qt::gray, const QColor & base = Qt::darkGray)

Constructor Definition at line 101 of file qwt_dial_needle.cpp.

References QwtDialNeedle::setPalette().

Member Function Documentation

  void QwtDialSimpleNeedle::draw (QPainter * painter, const QPoint & center, int length, double direction, QPalette::ColorGroup cg = QPalette::Active) const [virtual]

Draw the needle

Parameters:
    painter Painter
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise
    cg Color group, used for painting

Implements QwtDialNeedle.

Definition at line 142 of file qwt_dial_needle.cpp.

References QwtDialNeedle::colorGroup(), drawArrowNeedle(), and drawRayNeedle().

  void QwtDialSimpleNeedle::drawArrowNeedle (QPainter * painter, const QColorGroup & cg, const QPoint & center, int length, int width, double direction, bool hasKnob) [static]

Draw a needle looking like an arrow Definition at line 208 of file qwt_dial_needle.cpp.

References QwtDialNeedle::drawKnob().

Referenced by draw().

  void QwtDialSimpleNeedle::drawRayNeedle (QPainter * painter, const QColorGroup & cg, const QPoint & center, int length, int width, double direction, bool hasKnob) [static]

Draw a needle looking like a ray Definition at line 160 of file qwt_dial_needle.cpp.

References QwtDialNeedle::drawKnob().

Referenced by draw().

  void QwtDialSimpleNeedle::setWidth (int width)

Set the width of the needle.

Definition at line 120 of file qwt_dial_needle.cpp.

Referenced by QwtAnalogClock::QwtAnalogClock().

  int QwtDialSimpleNeedle::width () const

Returns:
    the width of the needle

Definition at line 128 of file qwt_dial_needle.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.